#! /bin/sh
# This scripts builds the *.pot-files and copies them to right location and
# that's why Rosetta (the launchpad translation framework) can automatically
# import the translation templates after a commit.

if ! ./localbuild build; then
	echo "Error building DesktopNova!"
	exit 1
fi

if ! make -C build/ pots; then
	echo "Error building pots!"
	exit 1
fi

for i in desktopnova \
         desktopnova-module-gnome \
         desktopnova-module-xfce \
         desktopnova-tray; do
	if ! cp build/po/$i/$i.pot po/$i/; then
		echo "Error copying pot for template \"$i\""
	fi
done
